X2Go Bug report logs - #916
sshd not start on Windows XP

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mikhail Gonchar <mg@reji.ru>

Date: Fri, 7 Aug 2015 09:20:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.5.0

Fixed in version 4.0.5.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#916; Package x2goclient. (Fri, 07 Aug 2015 09:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikhail Gonchar <mg@reji.ru>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 07 Aug 2015 09:20:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mikhail Gonchar <mg@reji.ru>
To: submit@bugs.x2go.org
Subject: sshd not start on Windows XP
Date: Fri, 07 Aug 2015 14:13:14 +0500
Package: x2goclient
Version: 4.0.5.0

sshd not start on Windows XP because of an error in its config file 
(sshd_config):

StrictModes no
UsePrivilegeSeparation no
PidFile C:/Documents and Settings/redge/.x2go/var/sshd.pid
Subsystem shell C:/PROGRA~1/X2GOCL~1/sh
Subsystem sftp C:/PROGRA~1/X2GOCL~1/sftp-server
AuthorizedKeysFile "/cygdrive/C/Documents and 
Settings/%u/.x2go/.ssh/authorized_keys"

The third line (PidFile ...) contains unquoted path with spaces.

As workaround one can add quotes and change config file permissions (so 
it won't be rewritten by x2goclient).
But this can be easily fixed in src/onmainwindow.cpp on the line 9997:

out<<"StrictModes no\n"<<
"UsePrivilegeSeparation no\n"<<
"PidFile " + varDir + "/sshd.pid\n" <<


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#916; Package x2goclient. (Tue, 11 Aug 2015 23:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 11 Aug 2015 23:55:02 GMT) Full text and rfc822 format available.

Message #10 received at 916@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 916-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 916@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 12 Aug 2015 01:51:39 +0200 (CEST)
tag #916 pending
fixed #916 4.0.5.1
thanks

Hello,

X2Go issue #916 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=3030896

The issue will most likely be fixed in src:x2goclient (4.0.5.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 3030896faf08f903b1ff3d7d0f83b8bc1d605abc
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Wed Aug 12 01:50:24 2015 +0200

    onmainwindow.cpp: include sshd PID file path option in quotes to support whitespaces within the var directory path on Windows.
    
    Add comment to revisit this later on non-Windows-platforms, too.
    
    Fixes: #916.

diff --git a/debian/changelog b/debian/changelog
index 9b07b21..2ca14b2 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,10 @@
 x2goclient (4.0.5.1-0x2go1) UNRELEASED; urgency=low
 
-  * Continue development
+  [ Mihai Moldovan ]
+  * New upstream release (4.0.5.1):
+    - onmainwindow.cpp: include sshd PID file path option in quotes to support
+      whitespaces within the var directory path on Windows. Add comment to
+      revisit this later on non-Windows-platforms, too. Fixes: #916.
 
  -- X2Go Release Manager <git-admin@x2go.org>  Tue, 28 Jul 2015 06:05:27 +0200
 


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 11 Aug 2015 23:55:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.5.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 11 Aug 2015 23:55:03 GMT) Full text and rfc822 format available.

Message sent on to Mikhail Gonchar <mg@reji.ru>:
Bug#916. (Tue, 11 Aug 2015 23:55:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 24 Mar 2016 20:40:25 GMT) Full text and rfc822 format available.

Notification sent to Mikhail Gonchar <mg@reji.ru>:
Bug acknowledged by developer. (Thu, 24 Mar 2016 20:40:25 GMT) Full text and rfc822 format available.

Message sent on to Mikhail Gonchar <mg@reji.ru>:
Bug#916. (Thu, 24 Mar 2016 20:40:38 GMT) Full text and rfc822 format available.

Message #24 received at 916-submitter@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager <git-admin@x2go.org>
To: 916-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 916@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 24 Mar 2016 21:38:45 +0100 (CET)
close #916
thanks

Hello,

we are very hopeful that X2Go issue #916 reported by you
has been resolved in the new release (4.0.5.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.5.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=4f91293625f1b3c12a1fa0a414424557d82fc65a;hp=b69667ef6d5f762b988e756a85a429792871e88c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.5.1-0x2go1
Status: RELEASE
Date: Thu, 24 Mar 2016 21:35:30 +0100
Fixes: 487 772 860 916 921 927 928 945 948 953 973 987 1000
Changes: 
 x2goclient (4.0.5.1-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream release (4.0.5.1):
     - onmainwindow.cpp: include sshd PID file path option in quotes to support
       whitespaces within the var directory path on Windows. Add comment to
       revisit this later on non-Windows-platforms, too. Fixes: #916.
     - onmainwindow.cpp: do NOT reformat. Reverts most of the previous commit
       because it breaks code logic.
     - res/txt/packs: add adaptive method.
     - {macbuild.sh,x2goclient.pro}: pass MacPorts library and include path's
       to qmake. Due to the qt4-mac's changes, we do not automatically get
       these values automatically "appended" in a usable way anymore.
     - x2gosettings.cpp: let centralSettings () return false on Windows.
     - onmainwindow.cpp: be more precise in slotScDaemonError () regarding
       unknown and undefined errors.
     - onmainwindow.{cpp,h}: don't use a hardcoded path to xmodmap on OS X and
       handle errors more gracefully. Fixes: #487.
     - x2goclient.pro: fix typo --stdlib=... -> -stdlib=... Fixes: #973.
     - onmainwindow.cpp: add some more error handling for parsing the return
       value of x2golistsessions. As it turns out, it can happen that "invalid"
       strings are inserted in there, for instance by the perl interpreter
       itself. We need to skip over these, or the client crashes when splitting
       up the invalid lines.
     - macbuild.sh: add stdlib forcing. Should not be used unless you really
       know what you're doing. If you ponder using this, you probably don't.
     - res/resources.rcc: add Turkish translation file. Fixes: #987.
     - onmainwindow.cpp: use lowercase version of locale. Fixes: #953.
       Fixes loading up the nb_NO translation file, which is actually baked as
       nb_no into the binary.
     - sshmasterconnection.cpp: let challenge-auth-based login attempts
       fallback to normal password authentication if the initial
       challenge-auth-based attempt was unsuccessful.
     - sshmasterconnection.{cpp,h}: support variable number of
       challenge-auth-code-based prompts.
     - sshmasterconnection.cpp: don't check prompts for full string equality -
       a matching prefix is good enough. Amongst others, this fixes errors in
       conditions where the prompt does not contain a trailing whitespace, but
       X2Go Client expects one.
     - sshmasterconnection.cpp: add OATH TOTP prompt prefix. Fixes: #860.
     - res/i18n: refresh translation files again.
     - res/i18n/x2goclient_nb_no.ts: replace "X-Serv..." with "X.Org Server"
       where applicable.
     - res/i18n/x2goclient_nb_no.ts: correctly use "XQuartz" where necessary.
     - res/i18n/x2goclient_nb_no.ts: whitespace only.
     - res/i18n/x2goclient_nb_no.ts: fix up some "x2go" -> "X2Go" errors.
     - res/i18n/x2goclient_nb_no.ts: mark translation strings needing some care
       ("x2go..." -> "X2Go...") as unfinished for later fixup.
     - res/i18n/x2goclient_nb_no.ts: fix (meta data) typo introduced with last
       commit.
     - res/i18n/x2goclient_nl.ts: fixup translation by respecting the original
       messages' format and other changes.
     - res/i18n/x2goclient_de.ts: fixup translation by respecting the original
       messages' format, fixing typos and general improvements.
     - res/i18n/x2goclient_es.ts: fixup translation by respecting the original
       messages' format and other changes.
     - res/i18n/x2goclient_sv.ts: fixup translation by respecting the original
       messages' format and other changes.
   * debian/control:
     - Change apache2-dev | libc6-dev build dependency back to apache2-dev
       only. Otherwise, apache2-dev is not installed at all, even though
       theoretically available. The initial reasoning for this dependency type,
       apache2-dev not being available on all Ubuntu/Debian platforms, is not
       true anymore.
     - Change apache2-dev build dependency yet again to apache2-dev |
       apache2-threaded-dev. Turns out all Debian distros but wheezy (currently
       oldstable) have an apache2-dev package. Even oldoldstable (squeeze)
       does...
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.5.1):
     - xsettingswidget: compile only on Windows.
     - Add support for new style command line options of xfreerdp on direct RDP
       connections. (Fixes: #772).
     - Replace "::" with "_" for the desktop link name on Windows.
     - Fix direct RDP in broker mode.
     - Fix crashing client when editing session from SessionManageDialog.
       Fixes: #921.
     - Configure audio input in pulseaudio on Windows.
     - Reconnect ssh broker in case of IO Error.
     - Reformat source onmainwindow.cpp.
     - Disable settings editing if a directory with central settings is exists.
     - Format long names on session buttons.
     - Central settings for Linux, Mac and Windows.
     - Fix VCXSRV parameter to disable PRIMARY clipboard in X2Go Client for Windows. Fixes: #927.
     - Fix reading settings for direct RDP connections in broker mode.
     - Auto accept RSA Keys for SSH Broker with --add-to-known-hosts option.
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.5.1):
     - xinerama.conf: Don't choke if screen coordintate lines in xinerama.conf
       start with a dash ("-"). (Fixes: #948).
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.5.1):
     - Windows: Update bundled Win32 OpenSSL from 1.0.1p to 1.0.1q,
       which fixes the multiple CVEs announced on 2015-12-03.
     - Windows: Upgrade Cygwin components to latest versions as of
       2016-01-21, except for the Cygwin DLL which is still at 1.7.33
       in order to avoid breaking folder sharing and printer sharing
       due to 1.7.34's ACL/permissions changes.
       (authorized_keys file would often have mode 660 instead of 600)
       The latest components include most notably:
         + openssh 6.8p1-1-x2go1 -> 7.1p2-1-x2go1 (security update)
         + openssl 1.0.2d-1 -> 1.0.2e-1 (security update)
     - Windows: Update nxproxy from 3.5.0.31 to 3.5.0.32
     - Windows: Update Unicode NSIS from 2.46.5 to 2.50.0 Pre-release,
       which fixes the DLL hijacking security vuln (NSIS bug 1125.)
     - Windows: Update PuTTY from 0.64 to 0.66, which fixes
       CVE-2015-5309.
     - Windows: Remove libzip. libssh no longer uses it.
 .
   [ Orion Poplawski ]
   * New upstream release (4.0.5.1):
     - ssh{process,masterconnection}.cpp: run bash as a login shell when
       invoking any command remotely. Fixes: #928. Because this opens the door
       for ~/.bash_logout and friend scripts to be executed, which may contain
       calls to ncurses' reset or clear, also set the TERM variable to dump to
       not have unexpected output on stderr at logout time.
     - sshmasterconnection.cpp: check correct variable for validity: public key
       instead of private key (again.) Fixes: #945.
 .
   [ Klaus Ade Johnstad ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_nb_no.ts: update Bokmål (Norway) translation file.
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.5.1):
     - sshmasterconnection.cpp: don't fetch invalid proxy socket. Fixes: #1000.
       From http://doc.qt.io/qt-4.8/qabstractsocket.html#socketDescriptor:
       The socket descriptor is not available when QAbstractSocket is in
       UnconnectedState.
       So we have to connect to the proxy server first before retrieving the
       native socket.
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_sv.ts: update Swedish translation file.
 .
   [ Sébastien Ducoulombier ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_fr.ts: update French translation file.
 .
   [ Jos Wolfkamp ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_nl.ts: update Dutch translation file.
 .
   [ Stefan Baur ]
   * New upstream release (4.0.5.1):
     - res/i18n/x2goclient_de.ts: update German translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream release (4.0.5.1):
     - res/i18n/x2goclient_es.ts: update Spanish translation file.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#916; Package x2goclient. (Thu, 24 Mar 2016 20:40:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 24 Mar 2016 20:40:45 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 22 Apr 2016 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Jul 24 04:30:35 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.